For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verifications

Endpoints для требований к проверкам, проверки личности, проверки карты и проверок по заявке.

Проверки по заявке

Show verification requirements for an order

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
orderstringRequired

Database id, public_id or tracking_id.

Responses
200

Order verification requirements.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
get/private/exchange/orders/{order}/verifications

Отправить проверку по заявке

Submit verification data for an order

post
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
orderstringRequired
Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional

Makes unsafe requests safely repeatable for 24 hours by default.

X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Body
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
post/private/exchange/orders/{order}/verifications/submit

Требования к проверке

Show verification requirements for route or order

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Query parameters
orderstringOptional
route_idintegerOptional
income_payment_systemintegerOptional
outcome_payment_systemintegerOptional
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/verifications/requirements

Создать identity verification

Create identity verification

post
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional

Makes unsafe requests safely repeatable for 24 hours by default.

X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Body
full_namestring · nullableOptional
file_intentsstring · uuid[] · min: 1 · max: 2Required
Responses
201

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
post/private/verifications/identity

Получить identity verification

Show identity verification

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
verificationstringRequired
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/verifications/identity/{verification}

Действия по identity verification

Show identity verification actions

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
verificationstringRequired
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/verifications/identity/{verification}/actions
200

Standard success envelope.

Создать card verification

Create card/account verification

post
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional

Makes unsafe requests safely repeatable for 24 hours by default.

X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Body
orderstring · nullableOptional
order_idstring · nullableOptional
currency_idinteger · nullableOptional
card_numberstringRequired
namestring · nullableOptional
file_intentstring · uuidRequired
Responses
201

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
post/private/verifications/cards

Получить card verification

Show card/account verification

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
verificationstringRequired
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/verifications/cards/{verification}

Действия по card verification

Show card/account verification actions

get
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Path parameters
verificationstringRequired
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
get/private/verifications/cards/{verification}/actions
200

Standard success envelope.

Последнее обновление

Это было полезно?